APIReferencePosts
List posts
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1limit?integer
Range
1 <= value <= 100Default
10status?array<>
search?string
platform?array<>
dateFrom?string
dateTo?string
tagIds?array<>
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/posts"{ "items": [ { "id": "string", "content": "string", "userId": "string", "isEvergreen": true, "tagIds": [ "9c99701b-f191-4642-8bc0-e04053f29131" ], "approvalStatus": "pending_review", "approvalRequestedAt": "2019-08-24T14:15:22Z", "approvalCompletedAt": "2019-08-24T14:15:22Z", "requiredApproverIds": [ "string" ], "canSchedule": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "attachments": [ { "id": "string", "order": 0, "altText": "string", "postId": "string", "mediaId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "media": { "id": "string", "url": "string", "type": "IMAGE", "provider": "GIPHY", "size": 0, "width": 0, "height": 0, "variants": { "1:1": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "4:5": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "9:16": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "1.91:1": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "source": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" } }, "variantsStatus": "pending", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "thumbnailMediaId": "string", "thumbnailSource": "FRAME_CAPTURE", "thumbnailTimestampMs": 0, "thumbnail": { "id": "string", "url": "string", "type": "IMAGE", "provider": "GIPHY", "size": 0, "width": 0, "height": 0, "variants": { "1:1": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "4:5": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "9:16": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "1.91:1": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" }, "source": { "url": "string", "width": -9007199254740991, "height": -9007199254740991, "sizeBytes": 0, "objectKey": "string" } }, "variantsStatus": "pending", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } } ], "collab": { "shared": true, "allowComments": true, "audience": "anyone", "recipientCount": 0, "commentCount": 0 }, "tags": [ { "id": "string", "name": "string", "slug": "string" } ], "schedules": [ { "id": "string", "postId": "string", "userId": "string", "integrationId": "string", "status": "DRAFT", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "failureReason": "string", "scheduledContent": "string", "firstComment": "string", "settings": { "property1": null, "property2": null }, "attachmentMediaUrls": [ "string" ], "platformPostId": "string", "releaseUrl": "string", "retryCount": 0, "lastAttempt": "2019-08-24T14:15:22Z", "threadRootScheduleId": "string", "threadOrder": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "integration": { "id": "string", "name": "string", "platform": "BLUESKY", "tokenStatus": "VALID" } } ], "user": { "id": "string", "name": "string", "email": "string" } } ], "pageInfo": { "page": 0, "limit": 0, "total": 0, "totalPages": 0, "hasNextPage": true, "hasPreviousPage": true }}